%global		ver %(echo %{version} | tr . _)
%global         _plugindir      %{_datadir}/tinymce/jscripts/tiny_mce/plugins

Summary:	TinyMCE spellchecker plugin
Name:		tinymce-spellchecker
Version:	2.0.5
Release:	8%{?dist}
Group:		Applications/Publishing
URL:		http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/spellchecker
License:	LGPLv2+

Source0:	http://cloud.github.com/downloads/tinymce/tinymce/tinymce_spellchecker_php_%{ver}.zip
Patch0:     tinymce-spellchecker-sec-issue-fix.patch
BuildArch:	noarch
Requires:	tinymce >= 3.1.1
Requires:	php >= 5.2.0
Requires:	php-pspell
Requires:	php-mbstring

%description
This plugin adds spellchecker functionality to TinyMCE by providing a
new button that performs a AJAX call to a back-end PHP page that uses
PSpell/ASpell or Google spellchecker.

%prep
%setup -q -n spellchecker
%patch0 -p1
# Convert to utf-8
for file in changelog.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
# Convert from DOS to UNIX line endings
for file in changelog.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done


%build
# Nothing here, since it is webapp
# so, nothing has to be compiled

%install
mkdir -p ${RPM_BUILD_ROOT}%{_plugindir}/spellchecker
cp -pr * ${RPM_BUILD_ROOT}%{_plugindir}/spellchecker
# Remove unnecessary src *.js files
find ${RPM_BUILD_ROOT} -name '*_src.js' | xargs rm
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# Set the appropriate permissions, since unzip doesn't
chmod -R 755 ${RPM_BUILD_ROOT}%{_plugindir}/spellchecker
find ${RPM_BUILD_ROOT}%{_plugindir}/spellchecker -type f | xargs chmod 644
# These are docs, remove them from here, docify them later
rm -f ${RPM_BUILD_ROOT}%{_plugindir}/spellchecker/changelog.txt

%files
%dir %{_plugindir}/spellchecker
%doc changelog.txt
%{_plugindir}/spellchecker/*


%changelog
* Tue Jan 22 2013 Matthias Runge <mrunge@redhat.com> - 2.0.5-8
- fixed security issue CVE-2012-6112

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Parag Nemade <pnemade AT fedoraproject DOT org> - 2.0.5-5
- Rebuild this package.

* Tue Jul 26 2011 Neal Gompa <ngompa13{%}gmail{*}com> - 2.0.5-4
- Converted defined macros into globally defined ones
- Corrected spelling of "backend" to "back-end" to shut up rpmlinit

* Mon Jul 11 2011 Neal Gompa <ngompa13{%}gmail{*}com> - 2.0.5-3
- Update to 2.0.5
- Change to new source URL
- Removed redundant entries

* Mon Jun 28 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 2.0.3-2
- Remove explicit unzip BuildRequires
- Remove php-curl Requires, it is in php-common

* Sun Jun 27 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 2.0.3-1
- Initial package created

